crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.DES

Description

Synopsis

- data DES

# Documentation

data DES #

DES Context

#### Instances

Instances details

Cipher DES # |
Instance details Defined in Crypto.Cipher.DES Methods cipherInit :: ByteArray key => key -> CryptoFailable DES # cipherName :: DES -> String # cipherKeySize :: DES -> KeySizeSpecifier #
BlockCipher DES # |

Instance details

Defined in Crypto.Cipher.DES

Methods

blockSize :: DES -> Int #

ecbEncrypt :: ByteArray ba => DES -> ba -> ba #

ecbDecrypt :: ByteArray ba => DES -> ba -> ba #

cbcEncrypt :: ByteArray ba => DES -> IV DES -> ba -> ba #

cbcDecrypt :: ByteArray ba => DES -> IV DES -> ba -> ba #

cfbEncrypt :: ByteArray ba => DES -> IV DES -> ba -> ba #

cfbDecrypt :: ByteArray ba => DES -> IV DES -> ba -> ba #

ctrCombine :: ByteArray ba => DES -> IV DES -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> DES -> iv -> CryptoFailable (AEAD DES) #

Eq DES # |
Instance details Defined in Crypto.Cipher.DES Methods (==) :: DES -> DES -> Bool # (/=) :: DES -> DES -> Bool #